##
## config.py -- Configuration parsing.
##
## Copyleft 1997,1998 Teemu Kalvas <chery@s2.org>
##

import imp
import os
import pwd
import string
import sys

cmd_chars = '/'
verbose = 0
motd = 1

pw = pwd.getpwuid(os.getuid())
f = string.find(pw[4], ',')
if f <> -1:
    realname = pw[4][:f]
del f
if os.environ.has_key('IRCSERVER'):
    server = os.environ['IRCSERVER']
else:
    server = 'irc.funet.fi'
if os.environ.has_key('IRCPORT'):
    port = os.environ['IRCPORT']
else:
    port = 6667
if os.environ.has_key('IRCNICK'):
    nick = os.environ['IRCNICK']
else:
    nick = pw[0]
irc_init = (pw[0], realname, [([(server, port)], [nick], [])])
del pw
del realname
del server
del port
del nick

def _reload():
    pass

def autoop(addr, chan):
    return 0


## Read user's configuration file and transfer entities from it to this
## module's namespace.

userconfpath = os.path.expanduser('~/.clircrc.py')
if os.path.exists(userconfpath):
    userconffile = open(userconfpath, 'r')
    userconf = imp.load_source('userconf', userconfpath, userconffile)
    del userconffile
    config = sys.modules['config']
    for attr in userconf.__dict__.keys():
	if attr[0:2] <> '__':
	    config.__dict__[attr] = userconf.__dict__[attr]
    del config
    del userconf
del userconfpath

version = 'clirc 0.1.0 alpha'

## End. ##
